Skip to main content
POST
Generate WhatsApp Flow

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

sender
string
required

Registered WhatsApp sender number. Must be in international format.

Minimum string length: 1

Body

application/json
prompt
string
required

Prompt for flow generation.

Minimum string length: 1
Example:

"Flow that contains form with name, surname and email of the user."

responseId
string

Optional identifier of a previous response. If provided, this request will update or modify the generatedFlow associated with the given responseId. Use this to refine or change an existing flow by referencing an earlier response.

Example:

"12345"

Response

Generated whatsapp flow

originalPrompt
string
required

The prompt text used to generate this flow.

Example:

"Flow that contains form with name, surname and email of the user."

responseId
string
required

Unique identifier for this response. Use this value in future requests to reference generated flow.

Example:

"12345"

generatedFlow
object
required

The generated output corresponding to the provided prompt.